package com.docus.server;


import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

import java.util.Properties;


@Slf4j
@SpringBootApplication(scanBasePackages = {"com.docus"})
@MapperScan("com.docus.server.**.mapper")
@EnableFeignClients(basePackages = {"com.docus"})
@EnableAsync
public class AppRunBootstrap {
    public static void main(String[] args) {
        Properties props = System.getProperties();
        props.setProperty("org.apache.cxf.stax.allowInsecureParser", "1");
        props.setProperty("UseSunHttpHandler", "true");
        System.setProperty("javax.xml.parsers.DocumentBuilderFactory", "com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");
        SpringApplication.run(AppRunBootstrap.class, args);
    }

}
